# Uses of Class
org.springframework.aot.hint.ResourcePatternHints

Packages that use ResourcePatternHints
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ResourcePatternHints in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return types with arguments of type ResourcePatternHints
Modifier and Type
Method
Description
`Stream<ResourcePatternHints>`
ResourceHints.`resourcePatternHints()`
Return the resources that should be made available at runtime.